CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | List of all members
booster::locale::converter_base Class Reference
Text Conversions

This class provides base flags for text manipulation. It is used as base for converter facet. More...

`#include <booster/booster/locale/conversion.h>`

Inheritance diagram for booster::locale::converter_base:

## Public Types
enum | conversion_type { normalization, upper_case, lower_case, case_folding, title_case }

## Detailed Description

This class provides base flags for text manipulation. It is used as base for converter facet.

## Member Enumeration Documentation

enum booster::locale::converter_base::conversion_type

The flag used for facet - the type of operation to perform

Enumerator
normalization | Apply Unicode normalization on the text.
upper_case | Convert text to upper case.
lower_case | Convert text to lower case.
case_folding | Fold case in the text.
title_case | Convert text to title case.

The documentation for this class was generated from the following file:

- booster/locale/conversion.h